package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairClassesSettings;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.ClassesDataVo;
import com.repair.model.vo.ClassesSettingVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-13
 */
public interface RepairClassesSettingsService extends IService<RepairClassesSettings> {
    int insertRepairClassesSettings(RepairClassesSettings rns);

    int updateRepairClassesSettings(RepairClassesSettings rns);

    PageUtils<RepairClassesSettings> queryPageRepairClassesSettingss(int currentPage, int pageCount, String name);

    int deleteRepairClassesSettingsById(int id);

    RepairClassesSettings getRepairById(int id);

    int getRepairByUserId(int userId, String dateNow);

    List<ClassesSettingVo> getRepairByUserIds(List<Integer> userIds, String startTime, String endTime);

    List<RepairClassesSettings> getRepairByMonths(String monthDate);

    List<ClassesDataVo> queryClassesDatas(List<Integer> userIds, Integer startDate);

    ClassesDataVo queryClassesData(Integer userId);
}
